[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: USB2: usb_device_info not declared (redux)



On Tue, 2009-03-17 at 15:27 -0700, Marcel Moolenaar wrote:
> On Mar 17, 2009, at 2:55 PM, Joe Marcus Clarke wrote:
> 
> > On Tue, 2009-03-17 at 13:23 -0700, Marcel Moolenaar wrote:
> >> I got the following error building KDE4 on FreeBSD/powerpc (- 
> >> current):
> >>
> >> In file included from /usr/obj/nfs/freebsd/ports/x11/kdebase4/work/
> >> kdebase-4.2.1/apps/kinfocenter/usbview/kcmusb.cpp:27:
> >> /usr/obj/nfs/freebsd/ports/x11/kdebase4/work/kdebase-4.2.1/apps/
> >> kinfocenter/usbview/usbdevices.h:80: error: 'usb_device_info' has not
> >> been declared
> >> *** Error code 1
> >>
> >> Do we have closure on where it's going to be fixed?
> >> Do we know if GNOME is affected as well?
> >
> > All GNOME Desktop components should now be building on the latest
> > -CURRENT.
> 
> Ok. I guess we change consumers.
> 
> I switch to GNOME again (I keep ping-ponging :-)
> 
> Thanks for tracking -current so closely. It's very much appreciated!

Tracking -CURRENT is the key.  This means running delete-old and
delete-old-libs, and removing stale packages.  In this case, you should
NOT have devel/libusb installed on -CURRENT anymore.

If you do that, you shouldn't have any issues with GNOME.  I'm running
GNOME 2.25 on -CURRENT i386 and amd64 quite well.  I assume 2.24 should
be okay, but any issues found will be fixed.

Joe

> 
-- 
PGP Key : http://www.marcuscom.com/pgp.asc

Attachment: signature.asc
Description: This is a digitally signed message part